// Copyright 2018 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * LH module - Lighthouse internal types
 *
 * The export list can be semi-auto generated by running the following command:
 *
 *   find node_modules/lighthouse/types node_modules/lighthouse/types/lhr -name '*.d.ts' -maxdepth 1 | sed -E "s#node_modules/(.*).d.ts#import '\1';#g"
 */
 import 'lighthouse/types/user-flow';
 import 'lighthouse/types/audit';
 import 'lighthouse/types/smokehouse';
 import 'lighthouse/types/global-lh';
 import 'lighthouse/types/gatherer';
 import 'lighthouse/types/config';
 import 'lighthouse/types/rollup-plugin-postprocess';
 import 'lighthouse/types/structured-data';
 import 'lighthouse/types/enquirer';
 import 'lighthouse/types/test';
 import 'lighthouse/types/node-fetch';
 import 'lighthouse/types/protocol';
 import 'lighthouse/types/externs';
 import 'lighthouse/types/jsonlint-mod';
 import 'lighthouse/types/query-selector';
 import 'lighthouse/types/node';
 import 'lighthouse/types/es-main';
 import 'lighthouse/types/artifacts';
 import 'lighthouse/types/lhr/settings';
 import 'lighthouse/types/lhr/lhr';
 import 'lighthouse/types/lhr/i18n';
 import 'lighthouse/types/lhr/flow';
 import 'lighthouse/types/lhr/audit-details';
 import 'lighthouse/types/lhr/budget';
 import 'lighthouse/types/lhr/audit-result';
 import 'lighthouse/types/lhr/treemap';
